Spotify Klient i Current

Mjukvara (program) för dig som kör Slackware Current

Moderatorer: Nille, Minime, nomicon

Användares profilbild
MDKDIO
Kodnisse
Poster: 662
Blev medlem: 21 Apr 2005 08:24
Ort: Bollnäs

Spotify Klient i Current

Posta av MDKDIO » 21 Jan 2019 10:36

Sedan snart ett år, så fungerar det inte längre med att uppdatera Spotify klienten till senaste versionen, om man kör Slackware 14.2.

Version 1.0.72.117 är den sista som har fungerat för Slackware 14.2

Senaste version som fungerar i Slackware 14.2+ (current) är 1.0.89
Vilken du finner slackbuild för via länk nedan.

OBS! Kräver även nedladdning av spotify-client-1.0.89-additional_libs.tar.xz
Samt rtmpdump

Länkar för nedladdning:
SlackBuild
Spotify .deb fil
Additional Libs

rtmpdump
Slackware 64-bit 14.2 x 1 (KDE) (Multilib) (desktop)
Slackware 64-bit 14.2 (4.4.157) + Current (KDE) (Laptop)
Slackware 64-bit 14.2 (4.20) (KDE) (Multilib) + Current (Plasma5) (Laptop)
Slackware 64-bit 14.2 (xfce) (MediaPC)

Linux Counter. User 267939

Användares profilbild
Nille
Gud
Poster: 1332
Blev medlem: 17 Jun 2004 02:41

Re: Spotify Klient i Current

Posta av Nille » 03 Feb 2019 01:09

Vad är det som hindrar dom från att använda den senaste utgåvan?
Fungerar inte Spotify i tredjepartsklienter längre?
Som ni märker så är jag ingen spotify användare.
The more linux you go the slacker you get.

Användares profilbild
MDKDIO
Kodnisse
Poster: 662
Blev medlem: 21 Apr 2005 08:24
Ort: Bollnäs

Re: Spotify Klient i Current

Posta av MDKDIO » 03 Feb 2019 13:45

Ska försöka mig på en summering...

RTMP - Real Time Messaging Protocol
rtmpdump = toolkit för detta...

Problemet började nån gång i April 2018 med libcurl-gnutls.so.4 (Slackware 14.2) (Curl 7.59.0)
som släpptes 16 Mars för Slackware 14.2
Sedan dess har Curl uppdaterats, 7.60 kom 17 Maj, 7.61 kom 12 Juli, 7.61.1 den 6 September och
slutligen 7.62 den 31 Oktober

Mig vetligen så löste ingen av dessa versioner, problemet med Spotify klienten (kör själv med 1.0.72.117 fortfarande i 14.2, vilken kom 27 Februari 2018(?) )

I current kör jag med ponce paket 1.0.89 enligt länkarna i förra posten...

Senaste Spotify klienten: 1.0.98.78 (28 Januari -19) har jag dock ej testat än

Röjt snö som en galning de senaste dagarna, så jag är lite trött och kan därför ha formulerat mig lite knasigt (mer än vanligt :) ), och missat nått

Redigerat:
Ska testa senaste versionen av Spotify klienten i current, håller på att updatera "burken" just nu...
Slackware 64-bit 14.2 x 1 (KDE) (Multilib) (desktop)
Slackware 64-bit 14.2 (4.4.157) + Current (KDE) (Laptop)
Slackware 64-bit 14.2 (4.20) (KDE) (Multilib) + Current (Plasma5) (Laptop)
Slackware 64-bit 14.2 (xfce) (MediaPC)

Linux Counter. User 267939

Användares profilbild
MDKDIO
Kodnisse
Poster: 662
Blev medlem: 21 Apr 2005 08:24
Ort: Bollnäs

Re: Spotify Klient i Current

Posta av MDKDIO » 03 Feb 2019 15:28

Det extra paket som krävs för Spotify 1.0.89 (aditional_libs) innehåller följande (vilket saknas för 1.72.x)

Symbolic link, libcurl-gnutls.so.4 -> libcurl-gnutls.so.4.5.0
filen libcurl-gnutls.so.4.5.0
Symbolic link, libgssapi_krb5.so.2 -> libgssapi_krb5.so.2.2
filen libgssapi_krb5.so.2.2
libk5crypto.so.3 -> libk5crypto.so.3
filen lik5crypto.so.3.1
Symbolic link, libkrb5.so.3 -> libkrb5.so.3.3
filen libkrb5.so.3.3
Symbolic link, libkrb5support.so.0 -> libkrb5support.so.0.1
filen libkrb5support.so.0.1
Symbolic link, libpsl.so.5 -> libpsl.so.5.2.0
filen libpsl.so.5.2.0

Jag testade med en "build" för Spotify 1.0.98, själva "builden" gick bra, men får lite felmeddelanden vid uppstart av spotify...

"/usr/lib64/libldap_r-2.4.so.2: no version information available (required by /opt/spotify/usr/lib/libcurl-gnutls.so.4)"
"/usr/lib64/liblber-2.4.so.2: no version information available ( -|| - )"
+ ett antal rader till rel till samma felmeddelande...
Dessutom:
[0203/145509.663067:ERROR:sandbox_linux_cc(379)] InitializeSandbox() called with multiple threads in process gpu-process.

I övrigt ser det ut som om det fungerar (man kan def säga att nyare klient versionen ser annorlunda ut :) )

Funkar i övrigt som det ska IAF...

/J
Slackware 64-bit 14.2 x 1 (KDE) (Multilib) (desktop)
Slackware 64-bit 14.2 (4.4.157) + Current (KDE) (Laptop)
Slackware 64-bit 14.2 (4.20) (KDE) (Multilib) + Current (Plasma5) (Laptop)
Slackware 64-bit 14.2 (xfce) (MediaPC)

Linux Counter. User 267939

Skriv Svar